package com.ghy.customer.service;

import com.ghy.customer.domain.Customer;

import java.util.List;

/**
 * @author clunt
 * 消费者service层
 */
public interface CustomerService {

    /**
     * @param customer 消费者筛选条件
     * @return 消费者列表
     */
    List<Customer> getCustomerList(Customer customer);

    /**
     * @param customerId 消费者id
     * @return 消费者信息
     */
    Customer selectByCustomerId(Long customerId);

    /**
     * @param ids 消费者ids
     * @return 删除成功条数
     */
    int deleteByIds(String ids);

    /**
     * @param customerId  消费者id
     * @return 删除成功条数
     */
    int deleteByCustomerId(Long customerId);

    /**
     * @param customer 消费者对象
     * @return 入库成功条数
     */
    int insertCustomer(Customer customer);

    /**
     * @param customer 消费者对象
     * @return 更新成功条数
     */
    int updateCustomer(Customer customer);

}
